Bug 1714666 - 0.14.1 hangs at end
Summary: 0.14.1 hangs at end
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: createrepo_c
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: amatej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-28 14:42 UTC by Gwyn Ciesla
Modified: 2019-07-08 01:08 UTC (History)
9 users (show)

Fixed In Version: createrepo_c-0.14.2-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-08 01:08:40 UTC


Attachments (Terms of Use)
output (21.34 KB, text/plain)
2019-05-31 14:04 UTC, Gwyn Ciesla
no flags Details


Links
System ID Priority Status Summary Last Updated
Github rpm-software-management createrepo_c issues 107 None None None 2019-05-28 14:43:03 UTC

Description Gwyn Ciesla 2019-05-28 14:42:51 UTC
See: https://github.com/rpm-software-management/createrepo_c/issues/107

0.12.1 works.

Comment 1 amatej 2019-05-31 06:30:34 UTC
I am not exactly sure what are you reporting. Is the problem the unwanted message "posix_spawn avoided (fd close requested)" as specified in the github issue or does createrepo_c not terminate correctly for you and it hangs at the end as per the title? 

If it is the latter could you please provide some more information such as verbose output of the createrepo_c run and if possible a way to reproduce it? For example on what packages does it happen?

Comment 2 Gwyn Ciesla 2019-05-31 14:03:14 UTC
It's the latter. Not all of the packages I'm running it on are publicly distributable, but the run on them produces the attached. I had to CtrlC just prior to the Directory Walk Started line. There are 3 repos here, run from a bash script with -vvv.

Comment 3 Gwyn Ciesla 2019-05-31 14:04:21 UTC
Created attachment 1575712 [details]
output

Comment 4 amatej 2019-06-06 09:29:55 UTC
I created a PR that should fix this: https://github.com/rpm-software-management/createrepo_c/pull/164

Comment 5 Gwyn Ciesla 2019-06-06 13:23:13 UTC
Works wonderfully in my local test package. Let me know when this hits updates-testing and I'll provide Karma. Thank you!

Comment 6 Fedora Update System 2019-06-27 14:21:38 UTC
FEDORA-2019-236e6fa2ca has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-236e6fa2ca

Comment 7 Fedora Update System 2019-06-28 18:25:26 UTC
createrepo_c-0.14.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-236e6fa2ca

Comment 8 Fedora Update System 2019-07-08 01:08:40 UTC
createrepo_c-0.14.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.